## json-c 0.12.1+ds.1

=== debian/changelog ===
json-c (0.12.1+ds.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: fa78cbe50a6577be0b316f6716c899455124d630']

 -- shuttle <shuttle@deepin.com>  Wed, 02 Sep 2020 17:15:05 +0000
