## json-c 0.12.2+cl4.3.1u4

=== debian/changelog ===
json-c (0.12.2+cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    44ff102247ccef067a2e7e5e57aadf8c651c7ca0

 -- root <root@7490f848894d>  Tue, 14 Jun 2022 22:20:09 +0000

json-c (0.12.2+cl4u1) RELEASED; urgency=medium

  * Fixes: crash on failure to generate random seed

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 27 Oct 2020 09:00:00 -0400
