=== debian/control ===
--- 
+++ 
@@ -8,6 +8,9 @@
 Homepage: https://github.com/json-c/json-c/wiki
 Vcs-Git: https://salsa.debian.org/debian/json-c.git
 Vcs-Browser: https://salsa.debian.org/debian/json-c
+XS-Build-Source: True
+XS-Cumulus-Valid-Arch: amd64 armel
+XBCS-Vcs-Hash: 44ff102247ccef067a2e7e5e57aadf8c651c7ca0
 
 Package: libjson-c3
 Architecture: any
@@ -19,6 +22,7 @@
  This library allows you to easily construct JSON objects in C,
  output them as JSON formatted strings and parse JSON formatted
  strings back into the C representation of JSON objects.
+XBCS-Vcs-Hash: 44ff102247ccef067a2e7e5e57aadf8c651c7ca0
 
 Package: libjson-c-dev
 Section: libdevel
@@ -33,6 +37,7 @@
  .
  The development headers for compiling programs that use libjson-c
  are provided by this package.
+XBCS-Vcs-Hash: 44ff102247ccef067a2e7e5e57aadf8c651c7ca0
 
 Package: libjson-c-doc
 Section: doc
@@ -46,6 +51,7 @@
  strings back into the C representation of JSON objects.
  .
  The documentation for libjson-c is provided by this package.
+XBCS-Vcs-Hash: 44ff102247ccef067a2e7e5e57aadf8c651c7ca0
 
 Package: libjson-c3-udeb
 Section: debian-installer
@@ -60,3 +66,5 @@
  strings back into the C representation of JSON objects.
  .
  This udeb package provides libjson-c3 for the Debian Installer.
+XBCS-Vcs-Hash: 44ff102247ccef067a2e7e5e57aadf8c651c7ca0
+
