=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CFLAGS_MAINT_APPEND = -Wno-error
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
@@ -35,7 +36,5 @@
 %:
 	dh $@
 
-override_dh_dwz:
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V --add-udeb="libjson-c3-udeb"
