## json-c 0.13.1%2Bdfsg

=== debian/changelog ===
json-c (0.13.1+dfsg-7) unstable; urgency=medium

  * QA upload.
  * Rebuild for Ubuntu 20.04 LTS.
  * debian/control: Bump Standards-Version to 4.5.0.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Boyuan Yang <byang@debian.org>  Wed, 19 Feb 2020 10:32:14 -0500

json-c (0.13.1+dfsg-6) unstable; urgency=high

  * QA upload.
  * debian/libjson-c4-dev.links: Fix broken so symlink and make
    everything unified under /usr/lib. (Closes: #941059)

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Sep 2019 10:12:44 -0400

json-c (0.13.1+dfsg-5) unstable; urgency=medium

  * QA upload.
  * debian/libjson-c4.install, debian/libjson-c4-udeb.install:
    Install library files into /usr/lib/ instead of /lib/ to ease
    future usrmerge transition.
  * debian/rules: Use /usr/share/dpkg/architecture.mk instead of
    manually querying DEB_HOST_MULTIARCH.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Sep 2019 19:31:06 -0400

json-c (0.13.1+dfsg-4) unstable; urgency=medium

  [ Gergely Nagy <algernon@balabit.hu> ]
  * Do not enable valgrind, fails on mips* and is unavailable on most archs
    Closes: #686076
  * QA upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 13:19:56 +0200

json-c (0.13.1+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Boyuan Yang ]
  * debian/dch.conf: Use new-style [dch] section instead of [git-dch].
  * debian/control: Mark libjson-c-doc as M-A: foreign.

  [ Gianfranco Costamagna ]
  * Upload to unstable
  * Add doxygen to build-deps
  * Recreate doxygen documentation during build
    - closes: #860871, #722690
    - documentation was already there, so the bugs are fixed since some time
      but recreate the documentation with the doxygen in Debian is preferred.
  * Close old bugs (Closes: #687269, Closes: #780078)
  * Move to compat level 12
  * bump std-version to 4.4.0, no changes required
  * Recreate doxygen documentation
  * Drop old dh_strip migration override
  * Minor fix to copyright file, because lintian can't find the files
  * Drop patch and hack rules file to do the same,
    now html documentation is regenerated during build
  * Enable valgrind tests, they don't fail anymore (Closes: #686076)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 12:06:52 +0200

json-c (0.13.1+dfsg-2) experimental; urgency=medium

  * QA upload.
  * Update debian/copyright
    Thanks to Gianfranco Costamagna for the catch.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Tue, 24 Jul 2018 08:32:07 +0200

json-c (0.13.1+dfsg-1) experimental; urgency=medium

  * QA upload.
  * Orphan the package (Closes: 844452)
  * New upstream version (2018-03-05)
    - Remove obsolete patches
    - Bump library SONAME & update symbols file

  * debian/copyright
    - Use the more precise Expat License tag, rather than MIT
    - Drop files that were removed
  * debian/control: Declare compliance with policy v4.1.4
    - Use secure protocol for Vcs-Git URI
    - Replace Priority: extra with optional

  * Switch to debhelper compat level 11
    - Drop autoreconf and autotools-dev dh tools
    - Drop dependency on dh-autoreconf

  * Update debian/watch
  * debian/rules: Enable build-time hardening
  * Repackage to remove a compiled version of jquery.js
  * Lintian overrides
    + Relocate to debian/source/lintian-overrides
    + Add a Lintian override for doc/html/menu.js.
      It is the original source despite containing an oversize line.
    + Remove unused Lintian overrides
  * Patch-out remote images in documentation

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 03 Jun 2018 16:23:43 +0200
