## json-c 0.13.1+dfsg

=== debian/changelog ===
json-c (0.13.1+dfsg-7ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Integer overflows
    - debian/patches/CVE-2020-12762-*.patch: fix a series of
      integer overflows adding checks in linkhash.c, printbuf.c, test4.c
      test4.expected, also adds the  fix for the INT_MAX regression caused in update
      0.11-4ubuntu2.1.
    - CVE-2020-12762

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 25 May 2020 14:59:26 -0300

json-c (0.13.1+dfsg-7ubuntu0.2) focal-security; urgency=medium

  * Revert the security fixes and rebuild the old version (LP: #1878723)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 May 2020 12:31:48 +0100

json-c (0.13.1+dfsg-7ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Integer overflows
    - debian/patches/CVE-2020-12762-*.patch: fix a series of
      integer overflows adding checks in arraylist.c,
      linkhash.c, printbuf.c.
    - CVE-2020-12762

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 11 May 2020 15:44:39 -0300
