=== debian/control ===
Source: json-c
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               doxygen,
               dh-exec
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/json-c/json-c/wiki
Vcs-Git: https://salsa.debian.org/debian/json-c.git
Vcs-Browser: https://salsa.debian.org/debian/json-c

Package: libjson-c4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: JSON manipulation library - shared library
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.

Package: libjson-c-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjson-c4 (= ${binary:Version}),
         ${misc:Depends}
Description: JSON manipulation library - development files
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The development headers for compiling programs that use libjson-c
 are provided by this package.

Package: libjson-c-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         ${misc:Depends}
Description: JSON manipulation library - documentation files
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The documentation for libjson-c is provided by this package.

Package: libjson-c4-udeb
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: JSON manipulation library - shared library (udeb)
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 This udeb package provides libjson-c4 for the Debian Installer.
