=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export USE_VALGRIND=0

DPKG_GENSYMBOLS_CHECK_LEVEL ?= 4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_clean:
	test ! -e Makefile || make clean
	rm -f Makefile config.h config.log config.status \
	      json.pc json_config.h libtool stamp-h1 stamp-h2 \
	      json-c.pc tests/Makefile
	rm -rf tests/testSubDir
	rm -rf doc/html/config_8h.html doc/html/globals_v.html doc/html/jquery.js doc/html/json__config_8h.html
	rm -rf json-c-uninstalled.pc

override_dh_auto_build:
	dh_auto_build
	doxygen Doxyfile
	sed -i '/img src/d' doc/html/index.html

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb="libjson-c4-udeb"
