## json-c 0.15

=== debian/changelog ===
json-c (0.15-3~ubuntu1.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Stack buffer overflow
    - debian/patches/CVE-2021-32292.patch: fix read past end of buffer
      in apps/json_parse.c.
    - CVE-2021-32292

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 24 Aug 2023 12:56:26 -0300

json-c (0.15-3~ubuntu1.22.04.1) jammy; urgency=medium

  * SRU to Ubuntu 22.04.1 (LP: #1973270)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 May 2022 09:27:59 +0200

json-c (0.15-3) unstable; urgency=medium

  * Mark dev package as M-A: same (Closes: #1009805)
    - thanks Tomeu Vizoso for the hint.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Apr 2022 09:02:05 +0200

json-c (0.15-2) unstable; urgency=low

  [Debian Janitor]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.

  [Nicolas Mora]
  * d/patches make build reproductible (Closes: #966657)
  * d/control: Update standards version to 4.5.1 (no change)

 -- Nicolas Mora <babelouest@debian.org>  Wed, 03 Feb 2021 07:28:20 -0500

json-c (0.15-1) unstable; urgency=medium

  * New upstream release (Closes: #966366)
  * Update symbols file with versioned references (Closes: #963932)
  * Disable patch 608.patch, now applied upstream
  * d/rules: generate doxgen files with new config file doc/Doxyfile
  * debian/patches/0002-doxygen.patch
    - Set doxygen option FULL_PATH_NAMES to NO

 -- Nicolas Mora <babelouest@debian.org>  Wed, 29 Jul 2020 23:37:54 -0400

json-c (0.14+dfsg-1) unstable; urgency=medium

  [Gianfranco Costamagna]
  * Fix documentation generation (Closes: #962013)
  * debian/patches/608.patch:
    - Add patch to fix CVE-2020-12762 (Closes: #960326)

  [Nicolas Mora]
  * New upstream release 0.14.
  * Upload to unstable
  * New maintainer (Closes: #844452)
  * d/control: Rules-Requires-Root: no
  * Add d/gbp.conf
  * debian/patches/0002-doxygen.patch
    - Remove remote images in doxygen generated files
  * Update symbols file
  * Add autpkgtests
  * Clean lintian-overrides
  * debian/patches/0003-config-h.patch
    - Remove macro PACKAGE_NAME

 -- Nicolas Mora <babelouest@debian.org>  Thu, 23 Jul 2020 18:16:11 -0400

json-c (0.13.1+dfsg-9) unstable; urgency=medium

  * QA upload
  * Fix documentation generation (Closes: #962013)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jun 2020 09:28:38 +0200

json-c (0.13.1+dfsg-8) unstable; urgency=medium

  [ Leonidas S. Barbosa ]
  * SECURITY UPDATE: Integer overflows
    - debian/patches/CVE-2020-12762-*.patch: fix a series of
      integer overflows adding checks in linkhash.c, printbuf.c, test4.c
      test4.expected.
    - CVE-2020-12762

  [ Gianfranco Costamagna ]
  * QA upload
  * Import Ubuntu patch (Closes: #960326)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jun 2020 09:45:32 +0200
