=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: json-c
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+XSBC-Original-Maintainer: Nicolas Mora <babelouest@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                doxygen,
-               dh-exec
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/json-c/json-c/wiki
 Vcs-Git: https://salsa.debian.org/debian/json-c.git
 Vcs-Browser: https://salsa.debian.org/debian/json-c
+Rules-Requires-Root: no
 
-Package: libjson-c4
+Package: libjson-c5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -24,9 +25,9 @@
 
 Package: libjson-c-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: any
-Multi-Arch: same
-Depends: libjson-c4 (= ${binary:Version}),
+Depends: libjson-c5 (= ${binary:Version}),
          ${misc:Depends}
 Description: JSON manipulation library - development files
  This library allows you to easily construct JSON objects in C,
@@ -49,7 +50,7 @@
  .
  The documentation for libjson-c is provided by this package.
 
-Package: libjson-c4-udeb
+Package: libjson-c5-udeb
 Section: debian-installer
 Package-Type: udeb
 Architecture: any
@@ -61,4 +62,4 @@
  output them as JSON formatted strings and parse JSON formatted
  strings back into the C representation of JSON objects.
  .
- This udeb package provides libjson-c4 for the Debian Installer.
+ This udeb package provides libjson-c5 for the Debian Installer.
