=== debian/changelog ===
json-c (0.16-2) unstable; urgency=medium

  * Update std-version to 4.6.1
  * d/copyright: Update copyright year
  * d/source: Add lintian-overrides due to false-positives in doc/html/

 -- Nicolas Mora <babelouest@debian.org>  Sun, 02 Oct 2022 19:26:06 -0400

json-c (0.16-1) unstable; urgency=medium

  * Update watch file for new location
  * Update std-version to 4.6.0
  * New upstream version 0.16
  * Refresh patch 0002-doxygen.patch and 0003-config-h.patch
  * Drop old patches 0004-reproducible-build.patch and 608.patch part of new upstream codebase
  * Refresh symbols
  * Update copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Apr 2022 11:26:15 +0200
