=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: json-c
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Mora <babelouest@debian.org>
+Maintainer: Nicolas Mora <babelouest@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                doxygen,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/json-c/json-c/wiki
 Vcs-Git: https://salsa.debian.org/debian/json-c.git
