=== debian/changelog ===
json-c (0.17-1) unstable; urgency=medium

  * New upstream version
  * Update std-version to 4.6.2
  * d/symbols: update symbols file
  * d/patches: remove patch 0001-CMakeLists-use-GNUInstallDirs.patch
    no longer required
  * d/patches: refresh patches 0003-config-h.patch and 0002-doxygen.patch
  * d/.gitlab-ci.yml: add gitlab ci script for salsa

 -- Nicolas Mora <babelouest@debian.org>  Tue, 15 Aug 2023 16:13:54 -0400
