=== debian/watch ===
version=4
opts=uversionmangle=s/(\d+\.\d+(\.\d+)?)-\d+/$1/,\
dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://github.com/json-c/json-c/tags .*/json-c-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 30 Apr 2018
