=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: json-c
 Priority: optional
-Maintainer: Nicolas Mora <babelouest@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Nicolas Mora <babelouest@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                doxygen,
