=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export USE_VALGRIND=0

DPKG_GENSYMBOLS_CHECK_LEVEL ?= 4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

export DEB_HOST_MULTIARCH

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake --builddirectory=build -- -DCMAKE_POLICY_VERSION_MINIMUM=3.10

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb="libjson-c5-udeb"

override_dh_auto_build:
	cd build && $(MAKE) doc
	dh_auto_build --
